# Jupyter notebook description

Here we list the various Jupyter notebooks we have written to illustrate how to use tcapy, in particular for understanding
how to call the library programatically.

Sometimes GitHub might not render the Jupyter notebooks, in which case you can use the nbviewer link. You can also
run all the Jupyter notebooks interactively in [Binder](https://mybinder.org/v2/gh/cuemacro/tcapy/master?filepath=tcapy_notebooks]). 
Note, for those examples which use databases/multithreading, they
will not function fully in Binder. However, all other examples, which don't rely on databases/multithreading do work. First
we recommend the quick guide below:

* [A 10 minute view of tcapy](tcapy_notebooks/a_10_minute_view_of_tcapy.ipynb) - quick guide to
 doing simple TCA calculcations in Python with tcapy ([nbviewer](https://nbviewer.jupyter.org/github/cuemacro/tcapy/blob/master/tcapy_notebooks/a_10_minute_view_of_tcapy.ipynb)
or [run on Binder](https://mybinder.org/v2/gh/cuemacro/tcapy/master?filepath=tcapy_notebooks/a_10_minute_view_of_tcapy.ipynb))

Then we'd recommend going through the more detailed examples:

* [Introducing tcapy and explaining TCA](introducing_tcapy.ipynb) - how to use tcapy in more detail 
and gives many examples of how to call it programmatically 
([nbviewer](https://nbviewer.jupyter.org/github/cuemacro/tcapy/blob/master/tcapy_notebooks/introducing_tcapy.ipynb)
or [run on Binder](https://mybinder.org/v2/gh/cuemacro/tcapy/master?filepath=tcapy_notebooks/introducing_tcapy.ipynb))
* [Compliance and other more involved TCA calculations](compliance_tca_calculations) - how to do 
TCA calculations for compliance and other more involved use cases
([nbviewer](https://nbviewer.jupyter.org/github/cuemacro/tcapy/blob/master/tcapy_notebooks/compliance_tca_calculations.ipynb)
or [run on Binder](https://mybinder.org/v2/gh/cuemacro/tcapy/master?filepath=tcapy_notebooks/compliance_tca_calculations.ipynb))
* [Populating databases for tcapy](populating_databases_for_tcapy.ipynb) - how to 
populate your trade/order (MySQL/SQLite/Microsoft SQL Server) and market data databases (Arctic/MongoDB/PyStore)
([nbviewer](https://nbviewer.jupyter.org/github/cuemacro/tcapy/blob/master/tcapy_notebooks/populating_databases_for_tcapy.ipynb)
or [run on Binder](https://mybinder.org/v2/gh/cuemacro/tcapy/master?filepath=tcapy_notebooks/populating_databases_for_tcapy.ipynb))
* [Excel/xlwings with tcapy](excel_xlwings_with_tcapy.ipynb) - how to run tcapy from Excel
with xlwings, with a demo spreadsheet
([nbviewer](https://nbviewer.jupyter.org/github/cuemacro/tcapy/blob/master/tcapy_notebooks/excel_xlwings_with_tcapy.ipynb)
or [run on Binder](https://mybinder.org/v2/gh/cuemacro/tcapy/master?filepath=tcapy_notebooks/excel_xlwings_with_tcapy.ipynb))
* [Additional benchmark and metrics for tcapy](additional_benchmarks_metrics_for_tcapy.ipynb) - we go through some of the
benchmarks and metrics available in tcapy in more detail
([nbviewer](https://nbviewer.jupyter.org/github/cuemacro/tcapy/blob/master/tcapy_notebooks/additional_benchmarks_metrics_for_tcapy.ipynb) 
or [run on Binder](https://mybinder.org/v2/gh/cuemacro/tcapy/master?filepath=tcapy_notebooks/additional_benchmarks_metrics_for_tcapy.ipynb))
* [Real life tcapy case study on an asset manager's trade data](real_life_tcapy_case_study.ipynb) - we do a real life
TCA case study on the FX trade data of a Swedish asset manager
([nbviewer](https://nbviewer.jupyter.org/github/cuemacro/tcapy/blob/master/tcapy_notebooks/real_life_tcapy_case_study.ipynb)
or [run on Binder](https://mybinder.org/v2/gh/cuemacro/tcapy/master?filepath=tcapy_notebooks/real_life_tcapy_case_study.ipynb))
* [Market microstructure with tcapy](market_microstructure_with_tcapy.ipynb) - generating results for
spreads and volatility using tick data
([nbviewer](https://nbviewer.jupyter.org/github/cuemacro/tcapy/blob/master/tcapy_notebooks/market_microstructure_with_tcapy.ipynb)
or [run on Binder](https://mybinder.org/v2/gh/cuemacro/tcapy/master?filepath=tcapy_notebooks/market_microstructure_with_tcapy.ipynb))

